.section-map {
  margin-top: 50px;
  padding-top: 50px;
  background-color: #fff;
  padding-bottom: 50px;

  @include down(md) {
    margin-top: 25px;
    padding-bottom: 25px;
    padding-top: 25px;
  }

  h2 {
    text-align: center;
  }

  .subtitle {
    text-align: center;
    max-width: 900px;
    margin: 0 auto 60px;
    @include down(md) {
      margin-bottom: 25px;
    }
  }

  .map {
    width: 100%;
    @include down(md) {
      display: none;
    }
  }

  svg {
    width: 100%;
    height: auto;
  }

  path {
    transition: fill ease .2s;

    &.active {
      fill: $blue;
      cursor: pointer;
    }

    &.is-hover {
      fill: $yellow;
    }
  }

  @include down(md) {
    .container {
      display: flex;
      flex-wrap: wrap;
    }
  }

  .tooltip {
    display: block;
    position: fixed;
    height: auto;
    padding: 10px;
    font-size: 14px;
    margin-left: 20px;
    background-color: #fff;
    box-shadow: 0 5px 20px rgba(0, 0, 0, .1);
    pointer-events: none;
    transition: opacity ease-out .3s;
    max-width: 250px;
    transform: translateY(-50%);

    @include down(md) {
      opacity: 1 !important;
      position: relative;
      transform: none;
      top: 0 !important;
      left: 0 !important;
      max-width: none;
      width: calc((100% - 30px) / 3);
      pointer-events: all;
      box-shadow: none;
      &:not(:last-of-type) {
        margin-right: 15px;
      }
    }

    @include down(sm) {
      margin: 0 15px 15px 15px;
      width: calc((100% - 45px) / 2);
      padding: 0;
      &:nth-of-type(even) {
        margin-left: 0;
      }
    }

    &:not(.visible) {
      opacity: 0;
    }

    .img {
      width: 100%;
      position: relative;
      padding-bottom: 50%;
      margin-top: 10px;

      img {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
      }
    }

    .missions {
      opacity: .5;
      margin-bottom: 5px;
    }

    .title {
      font-size: 18px;
      margin-bottom: 5px;
      color: $yellow;
    }
  }
}
